summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorchatty2000-07-12 17:21:33 +0000
committerchatty2000-07-12 17:21:33 +0000
commit0578c020acd44c8df3d143d14bace5871062d956 (patch)
tree693181b00871db5be5d8de5997bc6c281a822ad0
parent17af12c060a75f14fc5e1e144fd7b5af272ed887 (diff)
downloadivyd-0578c020acd44c8df3d143d14bace5871062d956.zip
ivyd-0578c020acd44c8df3d143d14bace5871062d956.tar.gz
ivyd-0578c020acd44c8df3d143d14bace5871062d956.tar.bz2
ivyd-0578c020acd44c8df3d143d14bace5871062d956.tar.xz
Created spec files for rpmize 3
ivyd.init is now part of the rpm installation
-rw-r--r--redhat/changelog10
-rwxr-xr-xredhat/ivyd.init43
-rw-r--r--redhat/rules27
3 files changed, 80 insertions, 0 deletions
diff --git a/redhat/changelog b/redhat/changelog
new file mode 100644
index 0000000..db7aae0
--- /dev/null
+++ b/redhat/changelog
@@ -0,0 +1,10 @@
+$Version = "1.0";
+$Release = 3;
+
+$ChangeLog = '
+
+ * Wed Jul 12 2000 Stéphane Chatty <chatty@cena.fr>
+- Generation of version 1.0-3
+- First package made with rpmize 3
+
+';
diff --git a/redhat/ivyd.init b/redhat/ivyd.init
new file mode 100755
index 0000000..380a557
--- /dev/null
+++ b/redhat/ivyd.init
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# irbox: Starts the in.ivyd super-daemon for the ivyd Ivy relay
+#
+# Version: @(#) /etc/rc.d/init.d/irbox.init 1.1
+#
+# chkconfig: 345 97 03
+# description: This is a daemon that works as a port server for ivyd, \
+# a relay to Ivy for short-lived applications
+# processname: in.ivyd
+# config:
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Ivy daemon port server... "
+ daemon in.ivyd -boot
+ echo
+ touch /var/lock/subsys/ivyd
+ ;;
+ stop)
+ echo -n "Shutting down Ivy daemon port server "
+ killproc in.ivyd
+ rm -f /var/lock/subsys/ivyd
+ echo
+ ;;
+ status)
+ status in.ivyd
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "*** Usage: ivyd {start|stop|status|restart}"
+ exit 1
+esac
+
+exit 0
+
diff --git a/redhat/rules b/redhat/rules
new file mode 100644
index 0000000..027afd5
--- /dev/null
+++ b/redhat/rules
@@ -0,0 +1,27 @@
+$Summary = "Ivyd, an Ivy relay for short-lived applications";
+$Name = "ivyd";
+$Copyright = "GPL";
+$Vendor = "Centre d'Etudes de la Navigation Aerienne";
+$Distribution = "Ivy";
+$Group = "System Environment/Daemons";
+$Url = "http://www.tls.cena.fr/products/ivy";
+$BuildArchitectures = "i386";
+$BuildRoot = "/var/tmp/ivyd-buildroot/";
+$Requires = "ivy-c";
+$Description = "Ivyd is a daemon that stays connected to an Ivy bus,
+allowing short-lived applications to emit messages on the bus
+without having to wait the time to establish full Ivy connectivity.
+This package commes with ivyecho, a sample client for ivyd. It should
+(but does not yet) come with a library for developping other clients.";
+
+$Install = "rm -rf \$RPM_BUILD_ROOT
+cd src
+make PREFIX=\$RPM_BUILD_ROOT install
+cd ..
+mkdir -p \$RPM_BUILD_ROOT/etc/rc.d/init.d
+install -m 755 redhat/ivyd.init \$RPM_BUILD_ROOT/etc/rc.d/init.d/ivyd
+find \$RPM_BUILD_ROOT -type f -print | sed \"s\@^\$RPM_BUILD_ROOT\@\@g\" > $Name-\%{version}-filelist
+find \$RPM_BUILD_ROOT -type l -print | sed \"s\@^\$RPM_BUILD_ROOT\@\@g\" >> $Name-\%{Version}-filelist";
+$Post = "/sbin/chkconfig --add ivyd";
+$Preun = "/sbin/chkconfig --del ivyd";
+